Tag
Create or update a Tag on the requested Media
In this case, you have to send a valid Access Token (as a JWT Token) in the Authorization header, using the Bearer authentication scheme.
e.g. Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6Ikpva...
Unique shoot id
683606ee-9788-4d88-adb8-77119de4c6a2Unique tenant id
f700d27e-64ed-4571-ae2e-8c948c1c296eUnique media id
daea0774-275b-4e43-9d10-c2f9d5d4d5b6success
bad request
unauthorized
not found
PUT /api/tenant/{tenantId}/shoot/{shootId}/media/{mediaId}/tags HTTP/1.1
Host: api.orb360.tech
Content-Type: application/json
Accept: */*
Content-Length: 11
{
"tags": []
}{
"tags": {
"ANY_ADDITIONAL_PROPERTY": [
{
"keyValue": "STYLENUMBER-COLOURNAME:12345$BLACK",
"key": "StyleNumber-ColourName",
"value": "12345$BLACK",
"updatedBy": "auth0|dd5e21fb23efe45d1761ddce",
"createdBy": "auth0|dd5e21fb23efe45d1761ddce",
"dateCreated": 1574782604487,
"dateUpdated": 1574782604487
}
]
}
}Delete a Tag from it's associated Media
In this case, you have to send a valid Access Token (as a JWT Token) in the Authorization header, using the Bearer authentication scheme.
e.g. Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6Ikpva...
Unique shoot id
683606ee-9788-4d88-adb8-77119de4c6a2Unique tenant id
f700d27e-64ed-4571-ae2e-8c948c1c296eUnique media id
daea0774-275b-4e43-9d10-c2f9d5d4d5b6success
bad request
unauthorized
not found
DELETE /api/tenant/{tenantId}/shoot/{shootId}/media/{mediaId}/tags HTTP/1.1
Host: api.orb360.tech
Content-Type: application/json
Accept: */*
Content-Length: 11
{
"tags": []
}{
"tags": {
"ANY_ADDITIONAL_PROPERTY": [
{
"keyValue": "STYLENUMBER-COLOURNAME:12345$BLACK",
"key": "StyleNumber-ColourName",
"value": "12345$BLACK",
"updatedBy": "auth0|dd5e21fb23efe45d1761ddce",
"createdBy": "auth0|dd5e21fb23efe45d1761ddce",
"dateCreated": 1574782604487,
"dateUpdated": 1574782604487
}
]
}
}Last updated